#include<iostream.h>
enum day{sunday=7,monday=1,tuesday,wednesday,thursday,friday,saturday};
   int main()
{
  int today;
  do
  {
   cout<<"请输入今天是星期几："<<endl;
   cin>>today;
  }while(today<monday||today>sunday);
  if(today==saturday||today==sunday)
   cout<<"今天休息"<<endl;
  else
   while(today<=friday)
   {
	switch(today)
	{ 
     case monday:cout<<"星期一-----上课"<<endl; break;
     case tuesday:cout<<"星期二-----科研"<<endl;break;
     case wednesday:cout<<"星期三-----备课"<<endl;break;
     case thursday:cout<<"星期四-----制作课件"<<endl;break;
	 case friday:cout<<"星期五-----批改作业"<<endl;
	}
    today++;
   }
  return(0);
} 
